clang 10.0.0git

Classes | Namespaces | Macros | Enumerations
LangStandard.h File Reference
`#include "clang/Basic/LLVM.h"`
`#include "llvm/ADT/StringRef.h"`
`#include "clang/Basic/LangStandards.def"`
Include dependency graph for LangStandard.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | clang::LangStandard
| LangStandard - Information about the properties of a particular language standard. More...

## Namespaces
| clang
| Dataflow Directional Tag Classes.

## Macros
#define | LANGSTANDARD(id, name, lang, desc, features) lang_##id,

## Enumerations
enum | clang::Language : uint8_t { clang::Language::Unknown, clang::Language::Asm, clang::Language::LLVM_IR, clang::Language::C, clang::Language::CXX, clang::Language::ObjC, clang::Language::ObjCXX, clang::OpenCL, clang::Language::CUDA, clang::Language::RenderScript, clang::Language::HIP }
| The language for the input, used to select and validate the language standard and possible actions. More...
enum | clang::LangFeatures { clang::LineComment = (1 << 0), clang::C99 = (1 << 1), clang::C11 = (1 << 2), clang::C17 = (1 << 3), clang::C2x = (1 << 4), clang::CPlusPlus = (1 << 5), clang::CPlusPlus11 = (1 << 6), clang::CPlusPlus14 = (1 << 7), clang::CPlusPlus17 = (1 << 8), clang::CPlusPlus2a = (1 << 9), clang::Digraphs = (1 << 10), clang::GNUMode = (1 << 11), clang::HexFloat = (1 << 12), clang::ImplicitInt = (1 << 13), clang::OpenCL = (1 << 14), clang::OpenCL }

## Macro Definition Documentation

## ◆ LANGSTANDARD

#define LANGSTANDARD | ( |  | id,
|  |  | name,
|  |  | lang,
|  |  | desc,
|  |  | features
| ) |  | lang_##id,

Definition at line 63 of file LangStandard.h.